/* Hero section */
.hero-section {
    position: relative;
    overflow: hidden;
    min-height: calc(80vh - 74px);
    padding: 80px 0;
    color: #fff;

    background: radial-gradient(circle at top left, #cde6fe 3%, transparent 25%),
        linear-gradient(90deg, #ffffff 0%, #ffffff 100%);
}

.hero-title {
    font-size: 60px;
    line-height: 1.02;
    letter-spacing: -0.01em;
}

/* Hero right card */
.hero-card {
    background: var(--card-bg);
    color: var(--card-text);
    border-radius: 12px;
    padding: 20px;
    box-shadow: 0 20px 40px rgba(15, 44, 76, 0.15);
    border: none;
}

.hero-card .form-control,
.hero-card .form-select {
    border-radius: 8px;
    border: 1px solid #e7eef6;
    padding: 12px 14px;
    height: 48px;
    color: #8099a8;
    font-weight: 350;
    font-size: 14px;
}

.hero-character {
    width: 100%;
    display: block;
    user-select: none;
}

.hero-character-wrapper {
    position: absolute;
    right: 0;
    bottom: 0;
    width: 700px;
    z-index: 1;
}

.hero-background-circle-wrapper {
    position: absolute;
    right: 0;
    bottom: 0;
    width: 800px;
    z-index: 1;
}

/* Media Queries */
@media (max-width: 991.98px) {
    .hero-section {
        padding: 20px 0;
        height: fit-content !important;
        display: flex;
        flex-direction: column-reverse !important;
    }
    .hero-section .container {
        padding-left: 20px !important;
        padding-right: 20px !important;
    }
    .hero-title {
        font-size: 34px;
        line-height: 1.3;
        letter-spacing: -0.01em;
        text-align: center;
    }
    .hero-background-circle-wrapper {
        display: none;
    }
    .hero-character-wrapper {
        position: relative !important;
        right: unset !important;
        bottom: unset !important;
        width: 100%;
        z-index: 1;
        margin-bottom: 40px;
    }
    .hero-character-wrapper img {
        padding-right: 20px;
        mask-image: linear-gradient(
            to top,
            transparent 0%,
            black 30%,
            black 100%
        );
        -webkit-mask-image: linear-gradient(
            to top,
            transparent 0%,
            black 30%,
            black 100%
        );
    }
    .hero-card {
        margin-top: 30px;
    }
    .hero-ctas {
        margin-top: 30px !important;
    }
    .hero-ctas .btn {
        width: 100%;
    }
}
